
QGIS Application - Bug report #17588

QGIS 2.18.14 falls to start on Windows 7 32 bit

2017-11-29 11:36 PM - Tim Sutton

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: Windows 7 32 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25485

Description

Trying to run a fresh install of QGIS 2.18.14 on windows 7 32 bit and I get this error when it starts : api-ms-crt-runtime dll is missing

Previously I had 2.16 32 bit installed which ran fine

maybe it is becaue of a missing update: https://helpx.adobe.com/creative-cloud/kb/error_on_launch.html

Error :api-ms-win-crt-runtime-l1-1-0.dll is missing (at helpx.adobe.com)

I have asked the user to update their windows but it looks like all updates are deployed

Related issues:

Duplicated by QGIS Application - Bug report # 17637: Problems installing QGIS... Closed 2017-12-05

Duplicated by QGIS Application - Bug report # 19755: Error al inciar QGIS Des... Closed 2018-09-03

History

#1 - 2017-11-30 04:52 PM - Giovanni Manghi

Should we tag this as regression?

#2 - 2017-12-04 10:21 AM - Andre Joost

Maybe related: https://gis.stackexchange.com/questions/256452/api-ms-win-crt-runtime-1-1-0-dll-is-missing-after-qgis-2-14-installation

Could be just a packaging issue for some windows builds.

#3 - 2017-12-05 06:52 PM - Kellina Higgins

Affected operating systems:

-Windows Vista 32-bit

-Windows 7 64-bit

See details of post viewed almost 2000 times reporting on impossibility of installing QGIS:

https://gis.stackexchange.com/questions/238505/problems-installing-qgis-2-14-14-and-qgis-2-18-6-32-bit-on-windows-vista-32-bi

#4 - 2017-12-05 07:18 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Regression? changed from No to Yes
Is this issue about the QGIS 32bit installer? > does it work on Windows 64bit?

#5 - 2017-12-05 09:11 PM - Kellina Higgins

It does not work on Windows 64-bit (Windows 7). In my experience, I have only been able to use QGIS 2.18 with Windows 10 64-bit.

#6 - 2017-12-06 04:25 PM - Giovanni Manghi

Kellina Higgins wrote:

It does not work on Windows 64-bit (Windows 7). In my experience, I have only been able to use QGIS 2.18 with Windows 10 64-bit.

Hi, this does not answer my question: on Windows 64bit it is only the QGIS 32 bit installer that does not work or the same is also true for the QGIS 64 bit

installer?

#7 - 2017-12-10 08:01 AM - Tim Sutton

Hi Giovanni

We only experienced it with Win 7 32 bit - I did not have an opportunity to test with win 7 64 bit.

#8 - 2017-12-11 11:33 AM - Jürgen Fischer

- Duplicated by Bug report #17637: Problems installing QGIS 2.14.14 nor QGIS 2.18.6 (32-bit) on Windows Vista 32-bit computer and on Windows 7 

64-bit computer added

#9 - 2018-08-23 07:33 PM - Giovanni Manghi

Hi Tim, where to we stand with this issue? Is still valid?

#10 - 2018-09-03 03:42 PM - Jürgen Fischer

- Duplicated by Bug report #19755: Error al inciar QGIS Desktop 2.16.3 added

#11 - 2018-11-08 07:02 PM - Answer Quest

Hi, installing "Universal C Runtime driver" might make it work. 

Ref: https://github.com/WRI-Cities/static-GTFS-manager/issues/63#issuecomment-427424257

This program requires a small driver called "Universal C Runtime". It is usually covered in Windows Update and is already present in win10, but in

case your system doesn't have it, please install it from here: 

https://support.microsoft.com/en-gb/help/2999226/update-for-universal-c-runtime-in-windows

and then run the program. You may need to restart your system for the driver to be fully installed.

Without this, on running the exe you may get a popup error sayng: Entry point not found: The procedure entry point ucrtbase.abort could not be

located in the dynamic link library api-ms-win-crt-runtime-l1-1-0.dll
I can't test this at my end as I don't have that config. Please test and confirm if you can.

#12 - 2019-01-20 10:27 PM - Nyall Dawson

Please test with 3.4 - 2.18 is no longer supported

#13 - 2019-01-21 12:34 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#14 - 2019-02-18 12:17 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
